Class Fox::FXGLLine

In: | ../lib/fox/glshapes.rb
Parent: | FXGLObject

OpenGL line object

Methods

bounds draw hit new

Attributes

fm | [RW] | Starting point for line [FXGLPoint]
to | [RW] | End point for line [FXGLPoint]

Public Class methods

new(*args)

Return an initialized FXGLLine instance.

If no arguments are passed to new, the initial starting and ending points for the line are (-0.5, 0.0, 0.0) and (0.5, 0.0, 0.0), respectively. You can specify different initial start and end points by passing in another FXGLLine instance from which to copy the start and end point values, e.g.

        aLine = FXGLLine.new(anotherLine)

or by passing in the x, y and z coordinates individually:

        aLine = FXGLLine.new(x0, y0, z0, x1, y1, z1)

Public Instance methods

bounds()

Return the bounding box (an FXRange instance) for this line.

draw(viewer)

Draw this line into viewer (an FXGLViewer instance).

hit(viewer)

Perform hit-test for this line in viewer (an FXGLViewer instance).